org.eclipse.emf.facet.widgets.celleditors

## Interface ICompositeEditorFactory<T>

Type Parameters:
  `T` - the java type managed by this composite editor factory.

All Known Implementing Classes:
  BigDecimalCompositeFactory, BigIntegerCompositeFactory, BooleanCompositeFactory, ByteCompositeFactory, CharCompositeFactory, DoubleCompositeFactory, FloatCompositeFactory, IntCompositeFactory, LongCompositeFactory, ShortCompositeFactory, StringMultiCompositeFactory

    public interface ICompositeEditorFactory<T>

The factory interface for creating some control `AbstractCellEditorComposite` dedicated to the edition of one java type. The developer should register some factories using the dedicated extension point "compositeEditors"

### Method Summary

All Methods Instance Methods Abstract Methods
`AbstractCellEditorComposite<T>` `createCompositeEditor(Composite parent, int style)` Create a cell editor composite for a value of type <T>, as a subclass of `AbstractCellEditorComposite`, which is a SWT `Composite` suited for use as an in-place editor for values of type <T>.
`java.lang.Class<T>` `getHandledType()`

### Method Detail

#### getHandledType

    java.lang.Class<T> getHandledType()

Returns:
  the type handled by the composite editors created by this factory. This method is required because of type erasure with Java generics.

#### createCompositeEditor

    AbstractCellEditorComposite<T> createCompositeEditor(Composite parent,
                                                         int style)

Create a cell editor composite for a value of type <T>, as a subclass of `AbstractCellEditorComposite`, which is a SWT `Composite` suited for use as an in-place editor for values of type <T>.

Parameters:
  `parent` - the SWT parent of the new composite
  `style` - SWT style bits (`SWT#BORDER`, etc.)
Returns:
  the new cell editor composite